<?php
/**
 * Theme Customizer Controls
 *
 * @package Lawyer Consultant
 */

if ( ! function_exists( 'lawyer_consultant_customizer_global_color_setting_register' ) ) :
function lawyer_consultant_customizer_global_color_setting_register( $wp_customize ) {
 
 	$wp_customize->add_section(
        'lawyer_consultant_global_color_settings',
        array (
            'priority'      => 40,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Global Color Settings', 'lawyer-consultant' )
        )
    );

    // Title label
	$wp_customize->add_setting( 
		'lawyer_consultant_theme_color_settings', 
		array(
		    'sanitize_callback' => 'lawyer_consultant_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Lawyer_Consultant_Title_Info_Control( $wp_customize, 'lawyer_consultant_theme_color_settings', 
		array(
		    'label'       => esc_html__( 'Global Color Settings', 'lawyer-consultant' ),
		    'section'     => 'lawyer_consultant_global_color_settings',
		    'type'        => 'lawyer-consultant-title',
		    'settings'    => 'lawyer_consultant_theme_color_settings',
		) 
	));

	$wp_customize->add_setting('lawyer_consultant_global_color1',
        array(
            'type' => 'theme_mod',
            'default'           => '#b69c70',
            'sanitize_callback' => 'sanitize_hex_color'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'lawyer_consultant_global_color1',
            array(
                'label'      => esc_html__( 'Global Color1', 'lawyer-consultant' ),
                'section'    => 'lawyer_consultant_global_color_settings',
                'settings'   => 'lawyer_consultant_global_color1',
            )
        )
    ); 
}
endif;

add_action( 'customize_register', 'lawyer_consultant_customizer_global_color_setting_register' );